ARG DOCKER_LINUX_BUILDER=registry.gitlab.com/scilab/scilab/linux-builder-main
ARG DOCKER_TAG=latest
FROM ${DOCKER_LINUX_BUILDER}:${DOCKER_TAG}

# the builder image use a scilab user, switch back to root
USER root

# install cmake
ENV CMAKE_VERSION=3.15.1
WORKDIR /cmake-${CMAKE_VERSION}
RUN curl -o cmake.tar.gz https://oos.eu-west-2.outscale.com/scilab-releases-dev/prerequirements-sources/cmake-${CMAKE_VERSION}.tar.gz && \
    tar -xzf cmake.tar.gz --strip-components=1 && \
    ./bootstrap && \
    make -j$(nproc) && \
    make install && \
    rm -fr /cmake-${CMAKE_VERSION}

# Install JoGL dependencies
RUN apt-get install -y libgbm-dev libxrender-dev libxi-dev libxrandr-dev libxcursor-dev

USER scilab
WORKDIR /prebuild
